Bug 1467037 - Kernel module crash (amdgpu) on attempting to unbind AMD graphics in kernel 4.11 (regression from 4.10)
Kernel module crash (amdgpu) on attempting to unbind AMD graphics in kernel 4...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
25
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-02 01:23 EDT by York Possemiers
Modified: 2017-08-27 03:13 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-27 03:13:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Journalctl -b -1 of the event (611.45 KB, text/plain)
2017-07-02 01:23 EDT, York Possemiers
no flags Details

  None (edit)
Description York Possemiers 2017-07-02 01:23:34 EDT
Created attachment 1293572 [details]
Journalctl -b -1 of the event

Description of problem:
With the released of the 4.11 series kernels into the Fedora updates system, I have no longer been able to remove the binding of my graphics card in order to have it participate in pci passthrough. The last working kernel for this was 4.10.17-200.fc25.x86_64.

This bug is highly consistent.

In order to do the unbinding, I use the following script, executed via SSH

#!/bin/bash
echo `date "+%H:%M:%S.%N"`"Leaving graphical mode"
time systemctl isolate multi-user.target
sleep 5
echo `date "+%H:%M:%S.%N"`"removing graphics binding"
time echo "0000:01:00.0" > /sys/bus/pci/drivers/amdgpu/unbind
sleep 5
echo `date "+%H:%M:%S.%N"`"Removing amdgpu module"
time modprobe -r amdgpu
sleep 5
echo `date "+%H:%M:%S.%N"`"Done"

Here is the latest attempt I've had using the 4.11.7-200.fc25.x86_64 kernel:

14:39:52.408096500Leaving graphical mode

real	0m0.253s
user	0m0.005s
sys	0m0.008s
14:39:57.666116884removing graphics binding
Segmentation fault

Remote interactions with the computer are still possible, however rebinding doesn't seem to work, and shutdown/reboots do not complete. The timestamps of the above and the attached output of journalctl do match.
Comment 1 York Possemiers 2017-07-28 03:50:59 EDT
Bug persists in 4.11.12
Comment 2 York Possemiers 2017-08-27 03:13:33 EDT
Bug seems absent from kernel-4.12.8-200.fc25.x86_64

Note You need to log in before you can comment on or make changes to this bug.